#!/bin/sh
###############################
#Amarok Cover to Kopete Avatar#
###############################
#Auteur : Benpro
#Mail : benpro82@gmail.com
#Site : http://benpro.info
#Date de création : 16/12/2007
#Version : 1.0B
#Date de la version : 16/12/2007
#Dépendances : Kopete, Amarok, imagemagick

#Tant que amarok est lancé
while [ "$(dcop amarok | grep player)" = "player (default)" ]
do
	#Tant que amarok lit une musique
	while [ "$(dcop amarok player isPlaying)" = "true" ]
	do
		current_song=$(dcop amarok player nowPlaying)
		#Tant que la piste joué est la même
			while [ "$current_song" = "$(dcop amarok player nowPlaying)" ]
			do
			echo "C'est la même piste."
			sleep 10
			done #Amarok a changé de piste	
		echo "Sa a changé !"
	
		#On récupère le cover d'amarok en cours.
		amarok_cover=$(dcop amarok player coverImage)
		tmp_cover="/tmp/amarok_cover.jpg"
		cp "$amarok_cover" "$tmp_cover"
		
		#On le redimensionne en 96*96 - Format de msn.
		resized_cover="/tmp/resized_amarok_cover.jpg"
		convert -resize 96x96\! "$tmp_cover" "$resized_cover"
		
		#On le rajoute dans Kopete
		dcop kopete KopeteIface setGlobalPhoto "$resized_cover"
		done #On a fini de rajouter l'avatar dans kopete	
		
	echo "On écoute pas de musique alors on remet l'avatar par défaut"
	dcop kopete KopeteIface setGlobalPhoto "/home/benpro/pictures/tuxnippon.jpg"
	sleep 10
done #Amarok n'est plus lancé
exit #On ferme le script